#include <stdio.h>
#include <stdlib.h>
#include <math.h>

double pont_tavolsag(double axt, double ayt, double bxt, double byt);

int main()
{
    int n, i, j, h=0, oldal, k=0, egyforma=0, dupla=0, ell=0;
    scanf("%d", &n);
    oldal=(n*(n-1))/2;
    double p[n][2], o[oldal];
    for(i=0; i<n; i++)
        scanf("%lf %lf", &p[i][0], &p[i][1]);
    for(i=0; i<n; i++)
    {
        for(j=1+h; j<n; j++)
        {
            o[k]=pont_tavolsag(p[i][0], p[i][1], p[j][0], p[j][1]);
            k++;
        }
        h++;
    }
    h=0;
    for(i=0; i<k; i++)
    {
        for(j=1+h; j<k; j++)
        {
            if(o[i]==o[j])
                egyforma+=2;
            else if(o[i]==o[j]*2||o[i]==o[j]/2)
                    dupla+=2;
        }
        h++;
    }
    if(egyforma>=2&&dupla>=2)
    {
        while(egyforma>=2&&dupla>=2)
        {
            egyforma-=2;
            dupla-=2;
            ell++;
        }
    }
    printf("%d", ell);
    return 0;
}

double pont_tavolsag(double axt, double ayt, double bxt, double byt)
{
    double a_oldal, b_oldal, c_oldal;
    a_oldal=bxt-axt;
    b_oldal=byt-ayt;
    c_oldal=sqrt(a_oldal*a_oldal+b_oldal*b_oldal);
    return c_oldal;
}